=== debian/changelog ===
laserboy (2012.11.11-1build4) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:54:00 +0000

laserboy (2012.11.11-1build3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 05:32:16 +0100

laserboy (2012.11.11-1build2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 10:42:12 +0100

laserboy (2012.11.11-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:42 +0100

laserboy (2012.11.11-1) unstable; urgency=low

  * Initial packaging for Debian (Closes: #693965)

 -- Richard Ulrich <richi@paraeasy.ch>  Mon, 19 Nov 2012 23:01:27 +0100
