=== debian/control ===
Source: laserboy
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Richard Ulrich <richi@paraeasy.ch>
Build-Depends: debhelper (>= 9.0.0), libboost-dev (>= 1.49), libboost-filesystem-dev, libboost-system-dev, libsdl-dev, cmake, unzip
Standards-Version: 3.9.3
Homepage: http://laserboy.org/

Package: laserboy-indep
Architecture: all
Depends: ${misc:Depends}
Description: Laser show software for soundcard operation - data files
 LaserBoy can translate laser vector art into standard, 48KHz, 16 bit,
 multi channel RIFF WAVE file format and play those files with
 independent sample shifts between the channels for proper time alignment
 between the scanners and the color modulation devices (per color).
 Waves made with LaserBoy can be played from any surround sound card in
 any OS.
 LaserBoy can open its own generated wave files and convert them back
 into vector art.
 LaserBoy provides a full set of points optimization routines including
 distance spanning, corner dwelling and the ability to minimize total points
 distance by rearranging the order and direction of lit segments within
 a frame.
 With a DC modified 8 channel sound card and some outboard electronics,
 LaserBoy is currently outputting full motion, 16bit X, Y position, 24 bit
 RGB color projections at 48 thousand points per second. Creating waves of
 any integer sample rate is possible. 48KHz is only a limitation of the sound
 cards that are currently in use.
 .
 This package contains architecture independent data files for laserboy.

Package: laserboy
Architecture: any
Depends: laserboy-indep, ${shlibs:Depends}, ${misc:Depends}
Description: Laser show software for soundcard operation
 LaserBoy can translate laser vector art into standard, 48KHz, 16 bit,
 multi channel RIFF WAVE file format and play those files with
 independent sample shifts between the channels for proper time alignment
 between the scanners and the color modulation devices (per color).
 Waves made with LaserBoy can be played from any surround sound card in
 any OS.
 LaserBoy can open its own generated wave files and convert them back
 into vector art.
 LaserBoy provides a full set of points optimization routines including
 distance spanning, corner dwelling and the ability to minimize total points
 distance by rearranging the order and direction of lit segments within
 a frame.
 With a DC modified 8 channel sound card and some outboard electronics,
 LaserBoy is currently outputting full motion, 16bit X, Y position, 24 bit
 RGB color projections at 48 thousand points per second. Creating waves of
 any integer sample rate is possible. 48KHz is only a limitation of the sound
 cards that are currently in use.
