## laserboy 2016.03.15

=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,16 @@
 RM       = rm -f
 STRIP    = strip -s -v
 CPP      = g++
-CPPFLAGS = -O3 -fexpensive-optimizations -static
+CPPFLAGS = -O3 -fexpensive-optimizations -Wall -static
 OBJ      = ../src/LaserBoy.obj ../src/LaserBoy_common.obj ../src/LaserBoy_frame.obj ../src/LaserBoy_frame_effects.obj ../src/LaserBoy_frame_set.obj ../src/LaserBoy_frame_set_effects.obj ../src/LaserBoy_ild_header.obj ../src/LaserBoy_segment.obj ../src/LaserBoy_palette.obj ../src/LaserBoy_palette_set.obj ../src/LaserBoy_real_segment.obj ../src/LaserBoy_wave.obj ../src/LaserBoy_space.obj ../src/LaserBoy_TUI.obj ../src/LaserBoy_SDL_GUI.obj ../src/LaserBoy_bmp.obj ../src/LaserBoy_font.obj
-LIBS     = -lSDL -lboost_system -lboost_filesystem
+
+#LIBS     = -lSDL -lboost_system -lboost_filesystem
+
+# if linking produces an error
+# "undefined reference to symbol pthread_getspecific" ...
+# use the following LIBS values:
+LIBS     = -lSDL -lboost_system -lboost_filesystem -lpthread
+
 BIN      = ../LaserBoy
 HEADERS  = LaserBoy_3D_double.hpp LaserBoy_3D_short.hpp LaserBoy_bmp.hpp LaserBoy_color.hpp LaserBoy_common.hpp LaserBoy_font.hpp LaserBoy_frame.hpp LaserBoy_frame_set.hpp LaserBoy_GUI_base.hpp LaserBoy_ild_header.hpp LaserBoy_includes.hpp LaserBoy_macros.hpp LaserBoy_palette.hpp LaserBoy_palette_set.hpp LaserBoy_real_segment.hpp LaserBoy_real_vertex.hpp LaserBoy_SDL_GUI.hpp LaserBoy_segment.hpp LaserBoy_space.hpp LaserBoy_TUI.hpp LaserBoy_utility.hpp LaserBoy_vertex.hpp LaserBoy_wave.hpp
