=== debian/changelog ===
laserboy (2016.03.15-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/watch: Fix upstream monitoring script.
  * debian/patches/0005-Fix-boost1.83-build.patch: Fix boost1.83
    build by explicitly using std::{i|o}fstream. (Closes: #1056076)

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Dec 2023 13:49:49 -0500

laserboy (2016.03.15-1.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 16:10:25 +0200

laserboy (2016.03.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with Boost 1.60. (Closes: #825102)
  * Fix FTBFS with GCC 6. (Closes: #812272)

 -- Graham Inggs <ginggs@debian.org>  Sat, 06 Aug 2016 15:21:08 +0200

laserboy (2016.03.15-1) unstable; urgency=medium

  * New upstream release:
    - no upstream changelog found.

 -- Richard Ulrich <richi@paraeasy.ch>  Wed, 18 May 2016 21:36:52 +0200
