=== debian/watch ===
version=4
opts="uversionmangle=s/_/\./g" \
 http://laserboy.org/code/ \
 http://laserboy.org/code/LaserBoy_([\d_]*).zip
