=== debian/changelog ===
laserboy (2024.03.08+dfsg-4) unstable; urgency=medium

  * Add no-libboost-system.patch, removing linking to libboost-system
    (Closes: #1127218)
  * Update to standards version 4.7.3:
    - Remove redundant Priority field.
  * Update d/watch to version 5

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Fri, 06 Feb 2026 18:15:56 +0100

laserboy (2024.03.08+dfsg-3) unstable; urgency=medium

  * Add fix-boost-1.88-ftbfs.patch, fixing FTBFS with Boost 1.88.
    Thanks to Mateus Rodrigues de Morais for the patch (Closes: #1110627)

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Mon, 27 Oct 2025 17:39:12 +0100

laserboy (2024.03.08+dfsg-2) unstable; urgency=medium

  * Add remove-amd64-specific.patch to remove amd64 build options

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Fri, 15 Aug 2025 18:22:21 +0200

laserboy (2024.03.08+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Maintain package in Debian Multimedia team
    Closes: #1110469
  * d/rules is no sample
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Update lintian override info format in d/laserboy-indep.lintian-overrides
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Fix typo in debian/rules rules: override_dh_auto_configure
    ⇒ override_dh_auto_configure
  * Upstream supports sdl2
    Closes: #1038471
  * d/rules: enable hardening options
  * Install desktop file instead of menu file
  * Permit failure of blhc in Salsa CI
  * Fix DEP3 fields

  [ Nicolas Schodet ]
  * Add myself as an uploader
  * Make hardening work
  * Use secure URI in various places
  * Add git-buildpackage configuration (pristine-tar)
  * Update copyright year in debian/copyright
  * Fix desktop file
  * Remove patches changing data directories.
    LaserBoy needs a full writable tree of directories to work. Remove the
    patches which change the data directories paths, package all data files
    and add a README.Debian to explain how to use it.
  * Improve manual page
  * Install user documentation

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sun, 10 Aug 2025 16:58:38 +0200
