=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: laserboy
 Section: graphics
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Richard Ulrich <richi@paraeasy.ch>
-Build-Depends: debhelper (>= 9.0.0), libboost-dev (>= 1.49), libboost-filesystem-dev, libboost-system-dev, libsdl-dev, cmake, unzip
-Standards-Version: 3.9.3
-Homepage: http://laserboy.org/
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Richard Ulrich <richi@paraeasy.ch>, Nicolas Schodet <nico@ni.fr.eu.org>
+Build-Depends: debhelper-compat (= 13), libboost-dev, libboost-filesystem-dev, libsdl2-dev, unzip
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/multimedia-team/laserboy
+Vcs-Git: https://salsa.debian.org/multimedia-team/laserboy.git
+Homepage: https://laserboy.org/
 
 Package: laserboy-indep
 Architecture: all
