=== debian/watch ===
Version: 5

Source: https://laserboy.org/code/
Matching-Pattern: LaserBoy_([\d_]*).zip
Uversion-Mangle: s/_/./g
Dversion-Mangle: auto
Repack-Suffix: +dfsg
